Page MenuHomePhabricator

Code Health Metrics working group, CI codehealth pipeline, and SonarQube
Closed, ResolvedPublic

Description

Looks like @kostajh, @Jrbranaa and @zeljkofilipin will be at the Wikimedia-Hackathon-2019. Let's have a workshop/session.

Rough draft:

  • present the Code Health Metrics working group
  • SonarQube and the code health pipeline for gerrit
  • SonarLint for your IDE
  • How you can help:
    • assessing rules
    • writing custom rules?
    • Ensuring PHPUnit test results import cleanly into Sonar

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2019, 3:53 PM
zeljkofilipin triaged this task as Medium priority.Feb 20 2019, 3:53 PM
zeljkofilipin moved this task from Backlog 🔙 to Next 🔜 on the User-zeljkofilipin board.
zeljkofilipin moved this task from Backlog to Sessions on the Wikimedia-Hackathon-2019 board.
zeljkofilipin added subscribers: kostajh, Jrbranaa.

Hello! The program is now open for scheduling. Please go ahead and add your session here: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2019/Program#Program
Following these instructions: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2019/Program#How_to_schedule_a_session

kostajh updated the task description. (Show Details)Apr 27 2019, 1:20 AM
TK-999 added a subscriber: TK-999.May 6 2019, 1:24 PM
kostajh renamed this task from Present Code Health Metrics at the Hackathon to Code Health Metrics working group, CI codehealth pipeline, and SonarQube.May 9 2019, 6:19 PM
kostajh claimed this task.

Change 511066 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[integration/config@master] Add sonar CodeHealth checks to Wikibase repos

https://gerrit.wikimedia.org/r/511066

Did this session take place? If it did, please feel free to create any potential follow-up tasks and set the status of this task to "Resolved" via the Add Action...Change Status dropdown. Thanks a lot!

kostajh closed this task as Resolved.May 24 2019, 2:37 PM

It did. A lot of the material from the session is covered by this blog post https://phabricator.wikimedia.org/phame/post/view/160/introducing_the_codehealth_pipeline_beta/

Change 511066 merged by jenkins-bot:
[integration/config@master] Add sonar CodeHealth checks to Wikibase repos

https://gerrit.wikimedia.org/r/511066